Contents

Overview

  • About AutoSpell Spell Checker Driver Manager

How to user Spell Checker Driver Manager

  • Spell Checker Options

  • Custom Dictionary

  • Spell Checker Engine

  • Spell Checker Driver

  • Main Dictionary

Copyright © 1995-2003, CompuBridge, Inc. All rights reserved.


About

About Spell Checker Driver Manager

The Spell Checker Driver Manager window allows you to set and / or change the settings used with your CompuBridge program. This window has three tabs that include functionality for the following tasks:

Editing, validating, adding, and deleting custom dictionaries

Setting the speller engine, main dictionary, and exclusive dictionary used with each language

Change Spell Options

See Also:

Options
Custom Dictionary Manager
Speller Engine Manager


Add Additional Dictionary for a Language

Adding Additional Dictionary for a Language

Beside main dictionary which contains common used words in a language, you may need to use special dictionary such as medical, legal, technical, etc. To use those dictionary, you need to add it to the dictionary list.

To add additional dictionary for a language:

  1. Select the language for which you want to add additional dictionary from the Language drop-down list on the Speller Engine Manager tab in the Spell Checker Driver Manager window.
  2. Press the Add button.
  3. In the Add Additional dictionary window, locate the dictionary that you want to use with this language. Additional dictionaries have .lex extensions. View the Add additional dictionary window.
  4. Press the Open button. This changes the entry for the additional dictionary for this language in your registration database.


Adding a Custom Dictionary

To add a custom dictionary to the list:

  1. Press the Dictionaries button on the Options Tab.
  2. In the Custom Dictionaries window that appears, press the Add button
  3. In the Select Custom Dictionary window that appears, locate the custom dictionary that you want to add. Dictionary files should have either a .DIC or .VTC extension. View Select Custom Dictionary window.
  4. Press the Open button. This adds the custom dictionary to the list on the Custom Dictionary tab.


Adding a Language

If you need to add a language, you can do so on the Speller Engine Manager tab of the Spell Driver Manager window.
Note: To add a language, you must have installed the language. Check http://www.spellchecker.com for languages supported.

To add a language to the list:

  1. Press the Add button.
  2. In the Add Language window, select the name of the language that you want to add, Only languages which are currently not installed appear. View the Add Language window.
  3. Press the Browse button next to the Engine Driver Location field.
  4. Locate the speller engine driver for this language.
  5. Speller engine drivers have .DLL extensions. View the Select Speller Engine Driver Window.
    Note: By default, Windows 95, 98, and NT hide .DLL files, so you may not be able to see the file to locate it. Refer to the Windows help to learn how to show all of these files.
  6. Press the Browse button next to the Engine Location field.
  7. Locate the speller engine for this language.
  8. Speller engines have .DLL extensions. View the Select Speller Engine window.
    Note: By default, Windows hide .DLL files, so you may not be able to see the file to locate it. Refer to the Windows help to learn how to show all of these files.
  9. Press the Open button. This completes the Engine Location field in the Add Language window.
  10. Press the Browse button next to the Dictionary Location field.
  11. Locate the dictionary for this Language. Dictionaries have .LEX extensions. View the Select Dictionary window.
  12. Press the Open button. This completes the Dictionary Location field in the Add Language window.
  13. Press the OK button. This adds entries for the speller engine and main dictionary for this language to your registration database and enters the language in the Language drop-down list on the Speller Engine Manager tab


Changing the Main Dictionary for a Language

To change the main dictionary for a language:

  1. Select the language for which you want to change the main dictionary from the Language drop-down list on the Spell Check Engine Manager tab in the Spell Checker Driver Manager window.
  2. Click on the Main Dictionary setting in the Property field.
  3. Press the Change button. Alternatively, you can double click the Main Dictionary setting in the Property field.
  4. In the Change Main Dictionary window, locate the dictionary that you want to use as the main dictionary. Dictionaries have .LEX extensions by default. View the Change Main Dictionary window.
    Note: Microsoft Word comes with a spellchecker for the U.S. (American) English and U.K. (British) English languages. If you installed these languages when you installed the CompuBridge program, you may receive errors when you spell check in either of these languages. To correct the problem, change the main dictionary for these languages back to Microsoft's shared dictionary for these languages. This file is typically located at c:\Program Files\Common Files\Microsoft Shared\Proof\MSSP2_EN.LEX.
  5. Press the Open button.This changes the entry for the main dictionary for this language in your registration database.


Custom Dictionary Window

Some applications, such as Microsoft Word, allow you to manage your office custom dictionary. If your application doesn't, you can manage your office custom dictionary using the Custom Dictionary tab in the Spell Driver Manager window. For more information on how your Microsoft application handles custom dictionaries, see the help for that application.

If the CompuBridge setup program finds a custom dictionary set in your registration database, it enters the location of that custom dictionary on the Custom Dictionary tab, shown below. If the setup program doesn't find a custom dictionary in use, it will add one (CUSTOM.DIC) and enter the location here and in your registration database.

Functions of this window:

Adding a Custom Dictionary
Editing a Custom Dictionary
Removing a Custom Dictionary


Custom dictionary

A custom dictionary is a text file that contains a list of specialized terms. There are three kinds of custom dictionaries.

  • Common Ignore Word type custom dictionaries: When you spell check a document, the terms in this file will not be considered misspelled.

  • Exclusive type custom dictionaries: When you spell checker a document, the terms in this file will be considered as misspelled even the word is a correct word.

  • Change All type custom dictionaries:in this dictionary, the word appears in pairs. The first word represents the misspelled word. The second word represents the word used to replace the misspelled word.


Deleting a Language

If you need to delete a language, you can do so on the Speller Engine Manager tab of the Spell Driver Manager window.

To remove a language from the Language drop-down list:

  1. Select the language that you want to remove from the Language drop-down list on the Speller Engine Manager tab of the Spell Checker Driver Manager window.
  2. Press the Delete button. This removes the language from the Language drop-down list and from your registration database. To add the language back, see Adding a Language.


Deleting the Additional Dictionary for a Language

If you need to delete the additional dictionary for a language, you can do so on the Speller Engine Manager Tab of the Spell Driver Manager window.

To delete the additional dictionary for a language:

  1. Select the language for which you want to delete the additional dictionary from the Language drop-down list on the Speller Engine Manager Tab of the Spell Checker Driver Manager window.
  2. Click on the Additional Dictionary setting in the Property field.
  3. Press the Delete button. This removes all of the words in the additional dictionary.


Dictionary

A dictionary is a set of words for a particular language or other specialty. Dictionaries are lexicon files with the different extension, .LEX is the most common used one. Microsoft Office 97 comes with dictionary for the U.S. English and U.K. (British) English (MSSP2_EN.LEX). Microsoft Office 2000 comes with dictionary for U.S. English, U.K. English, German and Spanish.


.topic 6
  Custom Dictionary Window      Some applications, such as Microsoft Word, allow you to manage your office custom dictionary. If your application doesn't, you can manage your office custom dictionary using the Custom Dictionary tab in the Spell Driver Manager window. For more information on how your Microsoft application handles custom dictionaries, see the help for that application.   If the CompuBridge setup program finds a  custom dictionary  set in your  registration database , it enters the location of that custom dictionary on the Custom Dictionary tab, shown below. If the setup program doesn't find a custom dictionary in use, it will add one (CUSTOM.DIC) and enter the location here and in your registration database. Functions of this window:    Adding a Custom Dictionary       Editing a Custom Dictionary      Removing a Custom Dictionary    Copyright © 1995-2003, CompuBridge, Inc. All rights reserved.


Editing a Custom Dictionary

You can use the Spell Checker Driver Manager window to add, remove, or edit the words in a custom dictionary.

Editing the Custom and Exclusive Dictionary should be as the follow image shows:

Editing the Auto Change Dictionary should be as the follow images shows:

To edit a custom dictionary:

  1. Select the custom dictionary that you want to edit from the list on the Options tab in the Spell Checker Driver Manager window.
  2. Press the Dictionaries button, In the Custom Dictionaries that appears, press the Add button, A list of the words appearing in the custom dictionary is shown. View the Edit File window.
  3. To add words: Type each word on a separate line, pressing the Enter key on your keyboard after each line.
    Note:Be sure to press your Enter key after the last word in the list.
  4. To remove words: Delete the text for the word. Be sure to keep each remaining word on a separate line and to have a blank line at the end of the list.
  5. To edit words: Change the text as necessary. Be sure that each word remains on a separate line and that a blank line appears at the end of the list.
  6. To repair the custom dictionary: Press the Repair button. If any errors exist in the custom dictionary, an error message is displayed and you will be told how to fix the problem.
    Note: If you have Microsoft Word on your computer, you should use Word to repair the custom dictionary, instead of using the Spell Driver Manager window.
  7. Press the Save button to save your changes and close the window.


Editing the Speller Engine Driver for a Language

If you need to change the speller engine driver used with a language, you can do so on the Speller Engine Manager tab of the Spell Checker Driver Manager window.

To edit the speller engine driver for a language:

  1. Select the language which you want to edit the speller engine driver from the Language drop-down list on the Speller Engine Manager tab in the Spell Checker Driver Manager window.
  2. Click on the Driver setting in the Property field.
  3. Press the Change button. Alternatively, you can double click the driver setting in the Property field.
  4. In the Change Speller Engine window, locate the speller engine driver that you want to use with this language. Speller engine drivers have .DLL extensions. View the Change Speller Engine Driver window.
    Note: By default, Windows hide .DLL files, so you may not be able to see the file to locate it. Refer to the Windows help to learn how to show all of these files.
    Note: Microsoft Word comes with a spellchecker for the U.S. (American) English and U.K. (British) English languages. If you installed these languages when you installed the CompuBridge program, you may receive errors when you spell check in these languages. To correct the problem, change the speller engine driver for these languages back to the standard Microsoft speller engine driver. This file is typically located at c:\Program Files\Common Files\Microsoft Shared\Proof\MSSP232.DLL.
  5. Press the Open button. This changes the entry for the speller engine driver for this language in your registration database.


Editing the Speller Engine for a Language

If you need to change the speller engine used with a language, you can do so on the Speller Engine Manager tab of the Spell Checker Driver Manager window.

To edit the speller engine for a language:

  1. Select the language for which you want to edit the speller engine from the Language drop-down list on the Speller Engine Manager tab in the Spell Checker Driver Manager window.
  2. Click on the Engine setting in the Property field, Press the Change button. Alternatively, you can double click the Engine setting in the Property field.
  3. In the Change Speller Engine window, locate the speller engine that you want to use with this language. Speller engines have .DLL extensions. View the Change Speller Engine window. Note: By default, Windows hide .DLL files, so you may not be able to see the file to locate it. Refer to the Windows help to learn how to show all of these files.
    Note: Microsoft Word comes with a spellchecker for the U.S. (American) English and U.K. (British) English languages. If you installed these languages when you installed the CompuBridge program, you may receive errors when you spell check in these languages. To correct the problem, change the speller engine for these languages back to the standard Microsoft speller engine. This file is typically located at c:\Program Files\Common Files\Microsoft Shared\Proof\MSSP232.DLL.
  4. Press the Open button. This changes the entry for the speller engine for this language in your registration database.


Registration database

A registration database (registry) is a system-wide source of information about the computer's configuration, including hardware, installed software, environmental settings, and other data. It controls how your computer runs. It is best to use Windows controls to change the settings in your registration database, rather than to edit it directly.


Removing a Custom Dictionary

To remove a custom dictionary from the list:

  1. Click on the custom dictionary that you want to remove from the list on the Custom Dictionary tab in the Spell Driver Manager window.
  2. Press the Remove button. This removes the custom dictionary from the list and from your registration database, but not from your computer. If you need to add the custom dictionary back to the list, follow the instructions for Adding a Custom Dictionary.


Set as Default Language

Before the spell checker starts to check the spelling, it will read the language setting from registration database. Most of time the setting is the same as your computer default language. If the setting is incorrect or you are a bilingual user, you may need to change the setting so that the spell checker will check the document in the correct language.

To set a language as default language:

  1. Select the language which you want to check in your computer from the Language drop-down list on the Speller Engine Manager tab of the Spell Checker Driver Manager window.
  2. Press the Set as Default Language button. This sets the language you selected as the default language for the Spell Checker to Check in your computer.


Spell Engine Driver

Speller driver

A speller driver is a file that provides access to spell checker engine. It is a dynamic link library (.DLL) file.


Spell Checker Driver Manager

The Speller Engine Manager Tab

The Speller Engine Manager tab in the Spell Checker Driver Manager window shows you the Driver, the speller engine, main dictionary, and additional dictionary being used with each language and the dictionaries that you have installed.
If you selected the correct installation options when you installed the CompuBridge program, you shouldn't need to use this tab. If you chose the wrong options when installing the CompuBridge program, you can use this tab to correct the problem quickly.

Functions of this tab:
Adding a Language
Deleting a Language
Set as Default Language
Changing the Spell Checker Engine Driver for a Language
Changing the Spell Checker Engine for a Language
Changing the Main Dictionary for a Language
Add Additional Dictionary for a Language
Delete Additional Dictionary for a Language


Spell Checker Engine

Speller engine

A speller engine is a file that provides spell checking functionality.


Spelling Dialog

The spelling dialog provides many useful options for easily locating misspelled words and correcting them. Many different configuration options are also available, see Spelling Options for more details.

Ignore all: Ignore the word thought to be misspelled throughout the rest of the spell checker, while the Ignore button will only ignore the current occurrence.

Add: Adds the word in the "Not Found:" edit field to the user dictionary specified in the Spelling Options' Custom Dictionary DialogBox. (Click Options to change the active custom dictionary.)

Change All: This button will replace all occurrences of the misspelled word with the word in the "Replace With:" edit field, while the Change button replaces only the current occurrence of the misspelled word. Please note also that double clicking the suggested word replaces the currently selected misspelled word.

AutoCorrect: This button adds the words in the "Not Found" edit field and the "Replace With" edit field to the current user dictionary as an auto-correct pair. Any future occurrence of the presumed misspelled word will then be replaced with the correct spelling automatically. This is useful for common spelling mistakes, such as receive:receive and the:the.

Suggest: This button will, if possible, add additional word alternatives to the suggestions list.

Undo: This button restores the last spell check action performed and reselects the previous misspelled word (if possible). This button can be pressed multiple times to undo multiple operations.

Options: This button shows a window allowing you to set Spelling Options.

Cancel: Closes this dialog box, but does not reverse any changes you have made. The name of the Cancel button changes to Close after you make a change in the document.


Spell Checker Options

You can use the Options list to set up your preferences for how your message or text are checked. For example, you can choose to ignore types of words or text that may not be standard (for example, file names), but are not necessarily misspelled.

The following options are available:

  • Ignore Words In All Uppercase:
    When this option is selected, words in all uppercase letters will not be spell checked. (Example: IR, SOS, MBA)
  • Ignore Pure Numbers:
    When this option is selected, any digit or group of digits that does not contain a letter will not be spell checked. (Example: 7, 10110, 1234)
  • Ignore Words With Mixed Case:
    When this option is selected, words that contain both upper and lower case letters will be checked for spelling only, and not checked for proper use of upper and lower case. (Example: deVille, James, bSQUARE)
  • Ignore File Names:
    When this option is selected, words that consist of a group of characters, a period, and three additional characters will be assumed to be a file name, and will not be spell checked. (Example: config.sys, autoexec.bat, readme.txt)
  • Ignore Original Mail Text:
    This option causes only the text that precedes an original message to be spell checked. When you reply to or forward a message that you received, only the text that you type above the original message's header will be checked. No text below the original header will be checked, even if you have typed or modified text in that area.
  • Find Repeated Words:
    When selected, this option reports any repeated words as possible errors. (Example: This is a a test.)
  • Find Initial Numerals:
    When selected, this option reports words beginning with a number as errors. (Example: 3Com)
  • Split Contracted Words:In the English language, ' is used to show possession, i.e., Jim's. In other languages such as French and German, this punctuation mark is used differently. This option sets the spell checker to flag words that do not conform to the language.
  • Strip Possessives:
    This option should always be selected for English. When selected, it strips the apostrophe and "s" from words so that only the text that precedes the apostrophe is spell checked. For example, in the phrase "Mother's Day Sale", if the option is selected, "Mother" is spell checked. If the option is not selected, "Mother's" will be spell checked.
  • Ignore Words With Numbers:
    When selected, ignores words containing numbers. (Example: m100, 101a)
  • Ignore Capitalized Words:
    When selected, words that start with a capital letter will not be checked. For the first word in a sentence, the word will be checked even when this option is selected. However, most proper nouns and names will not be checked. (Example: James, November, Princess)
  • Ignore Internet Addresses:
    When selected, words containing two or more periods will not be checked. (Example, "www.spellchecker.com" or "http://www.the-times.co.uk".)
  • Ignore Folder Names:
    When selected, words that are the names of folders or directory paths will not be checked. (Example: "C:\MyDocuments")
  • Recheck Typed Replacements:
    When selected, any text you type in as a replacement for a misspelled word will also be spell checked.
  • Find Uncapped Sentences:
    When selected, the first word of each sentence will be checked to ensure that it is capitalized, and if not, will be reported as an error.
  • Split Hyphenated Words:
    When selected, each segment of hyphenated words will be checked separately. (Example: "slow-moving" will be checked as "slow" and "moving".)
  • Split Compound Words:Words like SpellChecker, goto, desktop, are not standard because they are made up of two words. If this option is selected, each portion of the word is checked, and the compound of the two words is considered correct.

To change the custom dictionary:

  1. Select the dictionary you want to change to from the Custom dictionary drop-down list on the Options tab in the Spell Checker Driver Manager window.
  2. If there no dictionaries you want to change to, Press the Dictionaries button, the Custom dictionary window will open, you can select the dictionary you wanted there.